# $Revision: 1.25 $, $Date: 2002/09/29 10:47:43 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Authen
%define	pnam	PAM
Summary:	Authen::PAM Perl module
Summary(cs):	Modul Authen::PAM pro Perl
Summary(da):	Perlmodul Authen::PAM
Summary(de):	Authen::PAM Perl Modul
Summary(es):	Mdulo de Perl Authen::PAM
Summary(fr):	Module Perl Authen::PAM
Summary(it):	Modulo di Perl Authen::PAM
Summary(ja):	Authen::PAM Perl ⥸塼
Summary(ko):	Authen::PAM  
Summary(no):	Perlmodul Authen::PAM
Summary(pl):	Modu Perla Authen::PAM
Summary(pt):	Mdulo de Perl Authen::PAM
Summary(pt_BR):	Mdulo Perl Authen::PAM
Summary(ru):	  Perl Authen::PAM
Summary(sv):	Authen::PAM Perlmodul
Summary(uk):	  Perl Authen::PAM
Summary(zh_CN):	Authen::PAM Perl ģ
Name:		perl-Authen-PAM
Version:	0.13
Release:	2
Vendor:		Nikolay Pelov <nikip@iname.com>
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
URL:		http://www.cs.kuleuven.ac.be/~pelov/pam/
BuildRequires:	pam-devel
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Authen::PAM provides a Perl interface to the PAM library.

%description -l pl
Authen::PAM umoliwia dostp do biblioteki PAM.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitearch}/Authen/*.pm
%dir %{perl_sitearch}/auto/Authen/PAM
%{perl_sitearch}/auto/Authen/PAM/PAM.bs
%attr(755,root,root) %{perl_sitearch}/auto/Authen/PAM/PAM.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Authen-PAM.spec,v $
Revision 1.25  2002/09/29 10:47:43  ankry
- added tests and translations
- removed .pod and .packlist from %%files
- added vendor, fixed license, cleaning
- release 2

Revision 1.24  2002/07/11 09:46:07  qboosh
- new %%doc

Revision 1.23  2002/07/11 07:57:00  depesz
- new version; should work; STBR

Revision 1.22  2002/07/10 08:46:17  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:29:40  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:06:13  depesz
automatic: Source location unified, Relase Up

Revision 1.17  2002/02/10 15:24:04  depesz
adapterized

Revision 1.16  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/07/25 09:05:35  mis
- autoupdated to 0.12

Revision 1.14  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.13  2001/04/17 12:05:14  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/01/25 20:03:43  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.10  2000/12/30 22:03:53  kloczek
- updated to 0.11.

Revision 1.9  2000/12/27 18:18:27  kloczek
- release 2: rebuild against perl 5.6 and use new rpm automation.

Revision 1.8  2000/08/27 18:32:05  kloczek
- updated to 0.10.

Revision 1.7  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.4  2000/03/26 07:07:42  kloczek
- updated to 0.09.

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 20:45:35  pius
- added '%%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
